JNA API 3.3.0

## com.sun.jna.platform.mac
Class MacFileUtils

    java.lang.Object
      com.sun.jna.platform.FileUtils
          com.sun.jna.platform.mac.MacFileUtils

    public class MacFileUtils

extends FileUtils

Constructor Summary
`MacFileUtils()`

Method Summary
`boolean` | `hasTrash()`
`void` | `moveToTrash(File[] files)` Move the given file to the system trash, if one is available.

Methods inherited from class com.sun.jna.platform.FileUtils
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacFileUtils

    public MacFileUtils()

Method Detail

### hasTrash

    public boolean hasTrash()

  Overrides:
    `hasTrash` in class `FileUtils`

### moveToTrash

    public void moveToTrash(File[] files)
                     throws IOException

  Description copied from class: `FileUtils`
  Move the given file to the system trash, if one is available. Throws an exception on failure.

  Specified by:
    `moveToTrash` in class `FileUtils`
  Throws:
    `IOException`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.